### Constructor

# Meta SelectionSourceMemory new

#### Declaration [src]

    MetaSelectionSource*
    meta_selection_source_memory_new (
      const char* mimetype,
      GBytes* content,
      GError** error
    )

#### Description

No description available.

#### Parameters

`mimetype`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`content`

  Type: `GBytes`

  No description available.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `MetaSelectionSource`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.